%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	GNOME menu / applet system hooks.
Name:		gnome-panel
Version:	2.28.0
Release:	2
BuildArch:	i686
License:	GNU/LGPL
Group:		Graphical Desktop/GNOME/Base
URL:		http://www.gnome.org
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-panel/%{version}/%{name}-%{version}.tar.bz2

Source200:	ccux-panel-default-setup.entries
Source201:	gnome-compiler-flags.m4

Patch1:		gnome-panel-2.10.1-speak-to-us-ye-old-wise-fish.patch
# the next three patches belong together
# http://bugzilla.gnome.org/show_bug.cgi?id=470966
Patch8:		launcher-desktop-files.patch
Patch9:		desktop-file-monitoring.patch
Patch10:	preferred-apps.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=520111
Patch24:	gnome-panel-2.21.92-allow-spurious-view-done-signals.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot

Prereq: 	/bin/awk /bin/cat /bin/ln /bin/rm
Prereq: 	GConf >= 2.16.0-4
Prereq: 	scrollkeeper
Prereq: 	gtk2+

Requires(post): GConf >= 2.16.0-4
Requires(post): scrollkeeper
Requires(post): hicolor-icon-theme
Requires(pre): GConf >= 2.16.0-4
Requires(preun): GConf >= 2.16.0-4
Requires(postun): scrollkeeper

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-menus-devel
#BuildRequires: gnome-panel-libs
BuildRequires: gnome-vfs-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcroco-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgsf-devel
BuildRequires: libgweather-devel
BuildRequires: libical-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libproxy-devel
BuildRequires: librsvg-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: sqlite-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util
BuildRequires: zlib-devel gnome-doc-utils which

%description
The GNOME panel provides the window list, workspace switcher, menus, and other 
features for the GNOME desktop.

%package	libs
Summary:	Libraries for Panel Applets
License:	LGPLv2+
Group:		Development/Libraries

%description	libs
This package contains the libpanel-applet library that
is needed by Panel Applets. 

%package	devel
Summary:	Headers and libraries for Panel Applet development
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk2+-devel
Requires:	libbonoboui-devel
Requires:	libgnomeui-devel
Requires:	pkg-config

%description	devel
Panel Applet development package. Contains files needed for developing
Panel Applets using the libpanel-applet library.

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`

#
# Clear out the old defaults
#
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /apps/panel > /dev/null || :
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel > /dev/null || :

#
# Install the schemas
#
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/clock.schemas \
	%{_sysconfdir}/gconf/schemas/fish.schemas \
	%{_sysconfdir}/gconf/schemas/panel-general.schemas \
	%{_sysconfdir}/gconf/schemas/panel-global.schemas \
	%{_sysconfdir}/gconf/schemas/panel-object.schemas \
	%{_sysconfdir}/gconf/schemas/panel-toplevel.schemas \
	%{_sysconfdir}/gconf/schemas/window-list.schemas \
	%{_sysconfdir}/gconf/schemas/workspace-switcher.schemas \
  > /dev/null || :

#
# Install the default setup into /apps/panel and /apps/panel/default_setup
#
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries > /dev/null || :
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries /apps/panel > /dev/null || :

/sbin/ldconfig

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/clock.schemas \
	%{_sysconfdir}/gconf/schemas/fish.schemas \
	%{_sysconfdir}/gconf/schemas/panel-general.schemas \
	%{_sysconfdir}/gconf/schemas/panel-global.schemas \
	%{_sysconfdir}/gconf/schemas/panel-object.schemas \
	%{_sysconfdir}/gconf/schemas/panel-toplevel.schemas \
	%{_sysconfdir}/gconf/schemas/window-list.schemas \
	%{_sysconfdir}/gconf/schemas/workspace-switcher.schemas \
  > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/clock.schemas \
	%{_sysconfdir}/gconf/schemas/fish.schemas \
	%{_sysconfdir}/gconf/schemas/panel-general.schemas \
	%{_sysconfdir}/gconf/schemas/panel-global.schemas \
	%{_sysconfdir}/gconf/schemas/panel-object.schemas \
	%{_sysconfdir}/gconf/schemas/panel-toplevel.schemas \
	%{_sysconfdir}/gconf/schemas/window-list.schemas \
	%{_sysconfdir}/gconf/schemas/workspace-switcher.schemas \
  > /dev/null || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q

#%patch1 -p1 -b .speak-to-us-ye-old-wise-fish
#%patch8 -p1 -b .launcher-desktop-files
#%patch9 -p1 -b .desktop-file-monitoring
#%patch10 -p1 -b .preferred-apps
#%patch24 -p1 -b .allow-spurious-view-done-signals

#cp -f %{SOURCE200} gnome-panel/panel-default-setup.entries
#cp -f %{SOURCE201} m4

%build

%configure \
--disable-gtk-doc \
--disable-scrollkeeper \
--enable-eds=yes PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags} CFLAGS="$RPM_CFLAGS -DGWEATHER_I_KNOW_THIS_IS_UNSTABLE"

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## blow away stuff we don't want
/bin/rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

# clean up help mess
#/bin/mv -f $RPM_BUILD_ROOT/usr/share/omf/gnome-panel/workspace-switcher*.omf \
#           $RPM_BUILD_ROOT/usr/share/omf/workspace-switcher
#/bin/mv -f $RPM_BUILD_ROOT/usr/share/omf/gnome-panel/window-list*.omf \
#           $RPM_BUILD_ROOT/usr/share/omf/window-list
#/bin/mv -f $RPM_BUILD_ROOT/usr/share/omf/gnome-panel/fish*.omf \
#           $RPM_BUILD_ROOT/usr/share/omf/fish
#/bin/rmdir $RPM_BUILD_ROOT/usr/share/omf/gnome-panel

sed -i -e "s/NoDisplay=True/NoDisplay=true/" $RPM_BUILD_ROOT%{_datadir}/applications/gnome-panel.desktop

%define gettext_package gnome-panel-2.0
%find_lang %{gettext_package} --all-name --with-gnome

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_datadir/icons
%_applications
%_datadir/gnome-panel
%_datadir/gnome-panelrc
%_datadir/idl
%_datadir/gnome-2.0/ui/*.xml
%_mandir
%_bindir
#%_libdir/gnome-panel
%_libdir/bonobo/servers/*.server
%_sysconfdir/gconf/schemas/*.schemas
%_sysconfdir/gconf/schemas/*.entries
%_libexecdir/clock-applet
%_libexecdir/fish-applet-2
%_libexecdir/gnome-panel-add
%_libexecdir/notification-area-applet
%_libexecdir/wnck-applet

#%_sysconfdir/dbus-1/system.d/org.gnome.ClockApplet.Mechanism.conf
#%_datadir/PolicyKit/policy/org.gnome.clockapplet.mechanism.policy
#%_datadir/dbus-1/system-services/org.gnome.ClockApplet.Mechanism.service

%files libs
%_libdir/*.so.*

%files devel
%defattr(-, root, root)
%_pkgconfig
%_includedir
%_libdir/*.so
%_datadir/gtk-doc
%_libdir/libpanel-applet-2.*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-2
- remove outdated schema file installs
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Wed Apr 01 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-2
- rebuild against evolution-data-server-2.24.2
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-4
- bugfix in post scriplet
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-3
- cleanup
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-2
- rebuild against evolution-data-server 2.22.0
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-6
- bugfix
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-5
- Gnome 2.20.1.1
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-4
- removed outdated schema file
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-3
- bug again...
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-2
- bugfix in schema install
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0.1-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
- fixed search patch for beagle, removed switch user patch
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Sun Nov 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-5
- readded some patches, cleaned out specfile
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- removed some patches
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-1
- Initial Release